wifi8 2.0.0.0

Data Fields
wifi8_socket_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
uint8_t * | pu8_user_buffer
uint16_t | u16_user_buffer_size
uint16_t | u16_session_id
uint16_t | u16_data_offset
uint8_t | b_is_used
uint8_t | u8ssl_flags
uint8_t | b_is_recv_pending
uint8_t | u8_alpn_status
uint8_t | u8_err_source
uint8_t | u8_err_code

## Field Documentation

## ◆ b_is_recv_pending

uint8_t b_is_recv_pending

## ◆ b_is_used

uint8_t b_is_used

## ◆ pu8_user_buffer

uint8_t* pu8_user_buffer

## ◆ u16_data_offset

uint16_t u16_data_offset

## ◆ u16_session_id

uint16_t u16_session_id

## ◆ u16_user_buffer_size

uint16_t u16_user_buffer_size

## ◆ u8_alpn_status

uint8_t u8_alpn_status

## ◆ u8_err_code

uint8_t u8_err_code

## ◆ u8_err_source

uint8_t u8_err_source

## ◆ u8ssl_flags

uint8_t u8ssl_flags

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h